emacs-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Emacs-diffs] master f0352eb: * make-dist: Abort if "make ChangeLog" fai


From: Glenn Morris
Subject: [Emacs-diffs] master f0352eb: * make-dist: Abort if "make ChangeLog" fails. Add "--no-changelog".
Date: Tue, 12 May 2015 00:29:10 +0000

branch: master
commit f0352ebdf088bea19b44ddb31e94888bc2345a24
Author: Glenn Morris <address@hidden>
Commit: Glenn Morris <address@hidden>

    * make-dist: Abort if "make ChangeLog" fails.  Add "--no-changelog".
---
 make-dist |   18 +++++++++++++-----
 1 files changed, 13 insertions(+), 5 deletions(-)

diff --git a/make-dist b/make-dist
index 1b44f90..bc5874e 100755
--- a/make-dist
+++ b/make-dist
@@ -52,6 +52,7 @@ make_tar=no
 default_gzip=gzip
 newer=""
 with_tests=no
+changelog=yes
 
 while [ $# -gt 0 ]; do
   case "$1" in
@@ -72,6 +73,9 @@ while [ $# -gt 0 ]; do
     "--no-check" )
       check=no
     ;;
+    "--no-changelog" )
+      changelog=no
+    ;;
     ## This option tells make-dist to make the distribution normally, then
     ## remove all files older than the given timestamp file.  This is useful
     ## for creating incremental or patch distributions.
@@ -115,6 +119,7 @@ while [ $# -gt 0 ]; do
       echo "  --newer=TIME     don't include files older than TIME"
       echo "  --no-check       don't check for bad file names etc."
       echo "  --no-update      don't recompile or do analogous things"
+      echo "  --no-changelog   don't generate the top-level ChangeLog"
       echo "  --snapshot       same as --clean-up --no-update --tar --no-check"
       echo "  --tar            make a tar file"
       echo "  --tests  include the test/ directory"
@@ -277,11 +282,14 @@ fi
 echo "Creating top directory: '${tempdir}'"
 mkdir ${tempdir}
 
-if test -d .git; then
-  echo "Making top-level ChangeLog"
-  make ChangeLog CHANGELOG=${tempdir}/ChangeLog
-else
-  echo "No repository, so omitting top-level ChangeLog"
+if [ "$changelog" = yes ]; then
+  if test -d .git; then
+    echo "Making top-level ChangeLog"
+    make ChangeLog CHANGELOG=${tempdir}/ChangeLog || \
+      { x=$?; echo "make ChangeLog FAILED (try --no-changelog?)" >&2; exit $x; 
}
+  else
+    echo "No repository, so omitting top-level ChangeLog"
+  fi
 fi
 
 ### We copy in the top-level files before creating the subdirectories in



reply via email to

[Prev in Thread] Current Thread [Next in Thread]